petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatILUFactor

Performs in-place ILU factorization of matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatILUFactor(Mat mat,IS row,IS col,const MatFactorInfo *info)

Collective on Mat Many br

### Input Parameters

| mat | - the matrix Many br
| row | - row permutation Many br
| col | - column permutation Many br
| info | - structure containing Many br

         levels - number of levels of fill.

         expected fill - as ratio of original fill.

         1 or 0 - indicating force fill on diagonal (improves robustness for matrices

missing diagonal entries) Many br

### Notes

Probably really in-place only when level of fill is zero, otherwise allocates Many brnew space to store factored matrix and deletes previous memory. Many br

Most users should employ the simplified KSP interface for linear solvers Many brinstead of working directly with matrix algebra routines such as this. Many brSee, e.g., KSPCreate(). Many br

Many br

### See Also

MatILUFactorSymbolic(), MatLUFactorNumeric(), MatCholeskyFactor(), MatFactorInfo

Developer Note: fortran interface is not autogenerated as the f90 Many brinterface defintion cannot be generated correctly [due to MatFactorInfo] Many br

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages